function OnWarpEnter() 
	SetMarker("cs\\Warp_0217.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0220.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0214.wp" , 0 , 0) 

	ImportAnimationWarp("3D\\cs\\Warp_0015")
	-- bougie
	StartAnimationPart("cia1",0,30,-1,false)
	AnimationSetToEnd("bwn1", false)

--DAY3
	if ETAT_DAY == "D3" then 
		if not balcony_open then
			AnimationSetToStart("cxan", false)
		end
		if not DESK_COVER_MOVED then
			-- couvercle coffre
			AnimationSetToStart("cpan",false)
			StartAnimationPart("cban",1,2,-1,true)
		else
			StartAnimationPart("cban", 29, 30,-1,false)
			if not COFFRET_OPENED  then
				-- couvercle coffre
				AnimationSetToStart("cpan",false)
				if not NOTE_TAKEN_0017_D3 then
					PutObject("cjan",true)
				end
			else
				-- couvercle coffre
				StartAnimationPart("cpan",14,15,-1,false)
			end
		end
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0217.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0220.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0214.wp" then 
		ChangeWarp(objectName)
	end

end
